OpenVDB 5.1.0

HalfReader< IsReal, T > Struct Template Reference

`#include <Compression.h>`

## Detailed Description

### template<bool IsReal, typename T>
struct openvdb::v5_1::io::HalfReader< IsReal, T >

HalfReader wraps a static function, read(), that is analogous to readData(), above, except that it is partially specialized for floating-point types in order to promote 16-bit half float values to full float. A wrapper class is required because only classes, not functions, can be partially specialized.

The documentation for this struct was generated from the following file:

- Compression.h